OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
LeafCountOp< LeafType > Struct Template Reference

Functor for use with LeafManager::foreach() to populate an array with per-leaf active voxel counts. More...

`#include <PoissonSolver.h>`

## Public Member Functions
| LeafCountOp (VIndex *count_)
void | operator() (const LeafType &leaf, size_t leafIdx) const

## Public Attributes
VIndex * | count

## Detailed Description

### template<typename LeafType>
struct openvdb::v7_0::tools::poisson::internal::LeafCountOp< LeafType >

Functor for use with LeafManager::foreach() to populate an array with per-leaf active voxel counts.

## Constructor & Destructor Documentation

## ◆ LeafCountOp()

LeafCountOp | ( | VIndex * | count_ | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const LeafType & | leaf,
|  | size_t | leafIdx
| ) |  | const
| inline

## Member Data Documentation

## ◆ count

VIndex* count

The documentation for this struct was generated from the following file:

- PoissonSolver.h